Index: src/main/webapp/services/artifactView/js/artifactView.js
===================================================================
--- src/main/webapp/services/artifactView/js/artifactView.js	(revision 9348)
+++ src/main/webapp/services/artifactView/js/artifactView.js	(working copy)
@@ -53,9 +53,7 @@
     var fetchAndNormalizeModel = function (params, config) {
         var urlBase = "browse.html?";
         var artifactModel = fluid.engage.mapModel(getData(buildDataURL(params, config)), params.db);
-        return {
-            artifact: artifactModel
-        };
+        return artifactModel;
     };
     
     fluid.artifactView.initDataFeed = function (config, app) {
@@ -67,8 +65,23 @@
         fluid.engage.mountAcceptor(app, "artifacts", acceptor);
     };
     
+    var prepareArtifactViewOptions = function (data, artifactViewStrings, descriptionStrings) {
+        return {
+            model: data,
+            description: {
+                options: {
+                    model: {
+                        description: data.artifactDescription
+                    },
+                    strings: descriptionStrings
+                }
+            },
+            strings: artifactViewStrings
+        };
+    };
+    
     fluid.artifactView.initMarkupFeed = function (config, app) {
-        var handler = fluid.engage.mountRenderHandler({
+        var renderHandlerConfig = {
             config: config,
             app: app,
             target: "artifacts/",
@@ -79,13 +92,19 @@
                     cutpoints: [{selector: "#flc-initBlock", id: "initBlock"}]
                 }
             }
-        });
+        };
+        var handler = fluid.engage.mountRenderHandler(renderHandlerConfig);
         
         handler.registerProducer("view", function (context, env) {
-            var options = {
-                model: fetchAndNormalizeModel(context.urlState.params, config)
-            };
-
+            var params = context.urlState.params;
+            var data = fetchAndNormalizeModel(context.urlState.params, config);
+            var artifactViewStrings = fluid.kettle.getBundle(renderHandlerConfig, params) || {};
+            var descriptionStrings = fluid.kettle.getBundle({
+                config: renderHandlerConfig.config,
+                source: "components/description/html/",
+                sourceMountRelative: "engage"
+            }, params) || {};
+            var options = prepareArtifactViewOptions(data, artifactViewStrings, descriptionStrings);
             return {
                 ID: "initBlock", 
                 functionname: "fluid.engage.artifactView", 
